# Uses of Class
org.apache.lucene.search.highlight.WeightedTerm

Packages that use WeightedTerm
Package
Description
org.apache.lucene.search.highlight
Highlighting search terms.

- ## Uses of WeightedTerm in org.apache.lucene.search.highlight

  Subclasses of WeightedTerm in org.apache.lucene.search.highlight
  Modifier and Type
  Class
  Description
  `class`
  `WeightedSpanTerm`
  Lightweight class to hold term, weight, and positions used for scoring this term.
  Methods in org.apache.lucene.search.highlight that return WeightedTerm
  Modifier and Type
  Method
  Description
  `static final WeightedTerm[]`
  QueryTermExtractor.`getIdfWeightedTerms(Query query, IndexReader reader, String fieldName)`
  Extracts all terms texts of a given Query into an array of WeightedTerms
  `static final WeightedTerm[]`
  QueryTermExtractor.`getTerms(Query query)`
  Extracts all terms texts of a given Query into an array of WeightedTerms
  `static final WeightedTerm[]`
  QueryTermExtractor.`getTerms(Query query, boolean prohibited)`
  Extracts all terms texts of a given Query into an array of WeightedTerms
  `static WeightedTerm[]`
  QueryTermExtractor.`getTerms(Query query, boolean prohibited, String fieldName)`
  Extracts all terms texts of a given Query into an array of WeightedTerms
  Constructors in org.apache.lucene.search.highlight with parameters of type WeightedTerm
  Modifier
  Constructor
  Description
  ``
  `QueryTermScorer(WeightedTerm[] weightedTerms)`